package com.adealink.weparty.call.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import com.adealink.frame.mvvm.viewmodel.BaseViewModel
import com.adealink.weparty.App
import com.adealink.weparty.call.datasource.remote.CallHttpService
import com.adealink.weparty.call.manager.ICallListener
import com.adealink.weparty.call.manager.callManager
import com.adealink.weparty.module.call.data.CallStatus
import com.adealink.weparty.module.call.viewmodel.ICallViewModel

open class CallViewModel : BaseViewModel(), ICallViewModel, ICallListener {

    override val callStatusLD: LiveData<CallStatus> = MutableLiveData()

    private val callHttpService by lazy {
        App.instance.networkService.getHttpService(CallHttpService::class.java)
    }

    init {
        callManager.addListener(this)
    }

    override fun getCallStatus() {
    }
}